import pandas as pd
import glob


label = "Strong_Cold"
# Path ke folder yang berisi file txt
folder_path = f"MyData/{label}"  # Ganti dengan path folder kamu

# Cari semua file txt dalam folder
files = glob.glob(f"{folder_path}/*.txt")
columns = ['410nm', '435nm', '460nm', '485nm',
           '510nm', '535nm', '560nm', '585nm',
           '610nm', '645nm', '680nm', '705nm',
           '730nm', '760nm', '810nm', '860nm',
           '900nm', '940nm']

# List untuk menyimpan semua dataframe
dataframes = []

# Loop untuk membaca setiap file txt
for file in files:
    with open(file, "r") as f:
        line = f.readline().strip()  # Baca baris pertama dan hapus newline
        values = line.split(";")  # Pisahkan berdasarkan ";"
        values = values[:-1]
        dataframes.append(values)

# Membuat DataFrame dari semua data
df = pd.DataFrame(dataframes, columns=columns)

# Simpan ke dalam file csv
df.to_csv(f"MyData/Final/{label}.csv", index=False)
